Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Create HTML page
        • Get HTML page
        • Update HTML page
        • Delete HTML page
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. HtmlPages
  4. Get HTML page
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

Get HTML page

Returns the specified HTML page.

RequestRequest

POST

https://api.datalens.tech/rpc/getHtmlPage

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "entryId": "example",
  "revId": "example",
  "branch": "saved",
  "includePermissions": true,
  "includeFavorite": true
}

Name

Description

entryId

Type: string

ID of the HTML page to retrieve.

Example: example

branch

Type: string

HTML page branch to retrieve.

Enum: saved, published

includeFavorite

Type: boolean

Whether to include the favorite status.

includePermissions

Type: boolean

Whether to include HTML page permissions.

revId

Type: string

ID of the HTML page revision to retrieve.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entryId": "example",
  "scope": "artifact",
  "type": "html-page",
  "key": "example",
  "workbookId": "example",
  "collectionId": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "data": {},
  "meta": {
    "objectId": "example",
    "policyVersion": 0.5
  },
  "annotation": {
    "description": "example"
  },
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "revUpdatedBy": "example",
  "revUpdatedAt": "example",
  "tenantId": "example",
  "hidden": true,
  "version": 1,
  "public": true,
  "links": {},
  "isFavorite": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

Name

Description

annotation

Type: object | null

Annotation of the HTML page.

Example
{
  "description": "example"
}

collectionId

Type: string | null

ID of the collection containing the HTML page.

Example: example

createdAt

Type: string

Date and time when the HTML page was created.

Example: example

createdBy

Type: string

ID of the user who created the HTML page.

Example: example

data

Type: object

[additional]

Type: unknown

Example: null

Versioned data of the HTML page entry.

Example
{}

entryId

Type: string

Unique identifier of the HTML page.

Example: example

hidden

Type: boolean

Whether the HTML page is hidden.

key

Type: string

Key of the HTML page entry.

Example: example

meta

Type: object

objectId

Type: string

ID of the object containing the HTML content.

Example: example

policyVersion

Type: number

Version of the security policy injected into the HTML content.

Metadata of the HTML page.

Example
{
  "objectId": "example",
  "policyVersion": 0.5
}

public

Type: boolean

Whether the HTML page is public.

publishedId

Type: string | null

ID of the published HTML page revision.

Example: example

revId

Type: string

ID of the current HTML page revision.

Example: example

savedId

Type: string

ID of the saved HTML page revision.

Example: example

scope

Type: string

Scope of the HTML page entry.

Const: artifact

Example: example

tenantId

Type: string

ID of the tenant that owns the HTML page.

Example: example

type

Type: string

Type of the HTML page entry.

Const: html-page

Example: example

updatedAt

Type: string

Date and time when the HTML page was last updated.

Example: example

updatedBy

Type: string

ID of the user who last updated the HTML page.

Example: example

version

Type: number

Schema version of the HTML page.

Const: 1

workbookId

Type: string | null

ID of the workbook containing the HTML page.

Example: example

isFavorite

Type: boolean

Whether the HTML page is a favorite.

links

Type: object | null

Links associated with the HTML page.

Example
{}

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Permissions for the HTML page.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

revUpdatedAt

Type: string

Date and time when the current revision was last updated.

Example: example

revUpdatedBy

Type: string

ID of the user who last updated the current revision.

Example: example

Was the article helpful?

Previous
Create HTML page
Next
Update HTML page
© 2026 Direct Cursus Technology L.L.C.